Skip to main content
POST
/
agent
/
create
Python
from superu import SuperU

client = SuperU("YOUR_SUPERU_API_KEY")

payload = {
    "type": "outbound",
    "name": "Demo Assistant",
    "company_name": "SuperU",
    "assistant_name": "Ava",
    "first_message": "Hi, thanks for taking the call.",
    "voice": "90ipbRoKi4CpHXvKVtl0",
    "voice_id": "90ipbRoKi4CpHXvKVtl0",
    "voice_provider": "11labs",
    "speed": "1.0",
    "bg_noice": "false",
    "backgroundNoise": False,
    "script": "You are a friendly assistant.",
    "industry": "Blank Template",
    "useCase": "Blank Template",
    "form_model": {
        "key": "value"
    },
    "assistant_data": {
        "key": "value"
    },
    "knowledgeBase": [
        "kb_abc123"
    ],
    "tools": [
        "tool_01HXR9259WDZ2X3ZZKQ7HDG4C2"
    ],
    "call_forwarding": {
        "key": "value"
    }
}

response = client.agents.create_agent(**payload)
print(response)
{
  "status": "success",
  "agent_id": "ag_01HXR8FM5QYCVXAK4TYFJ4AEP0",
  "message": "Agent created successfully"
}

Authorizations

superU-Api-Key
string
header
required

Your SuperU API key.

Body

application/json

Request body for Create agent.

Agent Create Request schema.

type
enum<string>

Agent type

Available options:
inbound,
outbound
Example:

"outbound"

name
string

Internal agent name

Example:

"Demo Assistant"

company_name
string

Company name

Example:

"SuperU"

assistant_name
string

Assistant display name

Example:

"Ava"

first_message
string

First message spoken by the assistant

Example:

"Hi, thanks for taking the call."

voice
string

Voice ID alias

Example:

"90ipbRoKi4CpHXvKVtl0"

voice_id
string

Voice ID

Example:

"90ipbRoKi4CpHXvKVtl0"

voice_provider
string

Voice provider

Example:

"11labs"

speed
string

Voice speed

Example:

"1.0"

bg_noice
enum<string>

Background noise toggle as lowercase string

Available options:
true,
false
Example:

"false"

backgroundNoise
boolean

Background noise toggle as boolean

Example:

false

script
string

System prompt template.

Variable syntax:

  • Use {{ variable_name }}
  • Spaces inside braces are required (e.g., {{ name }})
  • Keep them same when passing the variables in the Create Call request
Example:

"You are a helpful assistant."

industry
string

Industry template

Example:

"Blank Template"

useCase
string

Use case template

Example:

"Blank Template"

form_model
object

Form model value.

Example:
{ "key": "value" }
assistant_data
object

Assistant data value.

Example:
{ "key": "value" }
knowledgeBase
string[]

List of knowledge base UUIDs (kb_uuid) to attach to the agent.

Example:
["kb_abc123"]
tools
string[]

Tools value.

Example:
["tool_01HXR9259WDZ2X3ZZKQ7HDG4C2"]
call_forwarding
object

Call forwarding value.

Example:
{ "key": "value" }

Response

Agent created

Generic Response schema.

status
string

Status value.

Example:

"success"

message
string

Message value.

Example:

"Request completed successfully"

data
object

Data value.